package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TpTransaction {
    private Integer id;

    private Integer communityId;

    private Integer taUserId;

    private String transactionTitle;

    private String transactionContent;

    private Integer viewCount;

    private String status;

    private String type;

    private Integer createUser;

    private String createUserName;

    private Date createDate;

    private Integer updateUser;

    private Date updateDate;

    //返回查询帖子电话
    private String telephone;

    private List<String> imgList;

    /**
     * 房间号
     */
    private  String roomNoName;

    /**
     * 是否被举报 1是被举报 0或null是没被举报
     */
    private String isReported;

    private  Integer roleId;

    private  String roleName;

    /**
     * 顶赞的次数
     */
    private Integer likeCount;
    /**
     * 踩的人数
     */
    private Integer noLikeCount;

    /**
     * 对应app端的角色表，物业端发帖时不维护
     */
    private Integer taUserVerifyId;

    /**
     * 0为app端，1为物业
     */
    private String releaseIdentity;

    /**
     * 权重
     */
    private String sort;

    public void setReleaseIdentity(String releaseIdentity) {
        this.releaseIdentity = releaseIdentity;
    }

    public String getReleaseIdentity() {
        return releaseIdentity;
    }

    /**
     * 是否已点赞或者踩
     */
    private String bel;

    public Integer getTaUserVerifyId() {
        return taUserVerifyId;
    }

    public void setTaUserVerifyId(Integer taUserVerifyId) {
        this.taUserVerifyId = taUserVerifyId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Integer getRoleId() {
        return roleId;
    }
    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getTaUserId() {
        return taUserId;
    }

    public void setTaUserId(Integer taUserId) {
        this.taUserId = taUserId;
    }

    public String getTransactionTitle() {
        return transactionTitle;
    }

    public void setTransactionTitle(String transactionTitle) {
        this.transactionTitle = transactionTitle == null ? null : transactionTitle.trim();
    }

    public String getTransactionContent() {
        return transactionContent;
    }

    public void setTransactionContent(String transactionContent) {
        this.transactionContent = transactionContent == null ? null : transactionContent.trim();
    }
    public Integer getViewCount() {
        return viewCount;
    }

    public void setViewCount(Integer viewCount) {
        this.viewCount = viewCount;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public List<String> getImgList() {
        return imgList;
    }

    public void setImgList(List<String> imgList) {
        this.imgList = imgList;
    }
    
    public String getIsReported() {
        return isReported;
    }
    
    public void setIsReported(String isReported) {
        this.isReported = isReported;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public Integer getLikeCount() {
        return likeCount;
    }

    public void setLikeCount(Integer likeCount) {
        this.likeCount = likeCount;
    }

    public Integer getNoLikeCount() {
        return noLikeCount;
    }

    public void setNoLikeCount(Integer noLikeCount) {
        this.noLikeCount = noLikeCount;
    }

    public String getBel() {
        return bel;
    }

    public void setBel(String bel) {
        this.bel = bel;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getRoomNoName() {
        return roomNoName;
    }

    public void setRoomNoName(String roomNoName) {
        this.roomNoName = roomNoName;
    }
}